"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyValueStore = void 0;
const core_1 = require("@crawlee/core");
/**
 * @inheritDoc
 */
class KeyValueStore extends core_1.KeyValueStore {
    /**
     * Returns a URL for the given key that may be used to publicly
     * access the value in the remote key-value store.
     */
    getPublicUrl(key) {
        return `https://api.apify.com/v2/key-value-stores/${this.id}/records/${key}`;
    }
    /**
     * @inheritDoc
     */
    static async open(storeIdOrName, options = {}) {
        return super.open(storeIdOrName, options);
    }
}
exports.KeyValueStore = KeyValueStore;
// @ts-expect-error extension of the core class to make this only a type-issue
core_1.KeyValueStore.prototype.getPublicUrl = KeyValueStore.prototype.getPublicUrl;
//# sourceMappingURL=key_value_store.js.map